Standard rebinding switch Standard rebinding switch
Usage
<command> -r=<window_id> <parameters>
The -r switch is standardized along all the commands. It rebinds a command to the windows specified by <window_id>. It is useful to launch commands in windows that are not the current one. For example, you might want to say something in a specific channel while processing an event bound to a console, or say something in all the channels bound to the current IRC context. The examples below will make everything clear.
Examples
# Run a command in the console of the current IRC context echo -r=$console This command is executed in the console ($window.caption) # Say something to all the channels of the current IRC context foreach(%w,$window.list(channel))say -r=%w Hi ppl on $chan.name

Index, Language Overview